Summary: A free virtual machine for running Java(TM) code.
Name: kaffe
Version: 1.0.6
Release: 6
Serial: 1
Copyright: GPL
Url: http://www.kaffe.org/
Group: Development/Languages
Source0: ftp://ftp.transvirtual.com/pub/kaffe/kaffe-%{version}.tar.gz
Patch0: kaffe-perlpath.patch
Patch1: kaffe-getBytes.patch
Patch2: kaffe-sparc.patch
Patch3: kaffe-1.0.6-jlong.patch
Patch4: kaffe-time.patch
Obsoletes: kaffe-bissawt
Buildroot: /var/tmp/kaffe-root
ExcludeArch: ia64 s390 s390x

%description
Kaffe is a cleanroom, open source implementation of a Java virtual
machine and class libraries.

%prep
%setup -q -n kaffe-%{version}
rm -f configure.in
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .sparc
%patch3 -p1 -b .jlong
%patch4 -p1 -b .time

%build
%configure --disable-gcj --libdir=/usr/lib/kaffe --libexecdir=/usr/lib/kaffe
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall \
	libdir=$RPM_BUILD_ROOT/usr/lib/kaffe \
	libexecdir=$RPM_BUILD_ROOT/usr/lib/kaffe \
	nativedir=$RPM_BUILD_ROOT/usr/lib/kaffe \
	classdir=$RPM_BUILD_ROOT/usr/share/kaffe
#make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/usr/lib/kaffe \
#	libexecdir=$RPM_BUILD_ROOT/usr/lib/kaffe \
#	nativedir=$RPM_BUILD_ROOT/usr/lib/kaffe \
#	classdir=$RPM_BUILD_ROOT/usr/share/kaffe check || :
strip $RPM_BUILD_ROOT/usr/bin/* || echo
strip $RPM_BUILD_ROOT/usr/lib/kaffe/Kaffe
strip --strip-unneeded $RPM_BUILD_ROOT/usr/lib/kaffe/lib*.so || :

rm -rf developers/CVS FAQ/CVS


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README FAQ WHATSNEW license.terms developers
/usr/lib/kaffe
/usr/bin/*
%{_mandir}/*/*
/usr/share/kaffe
/usr/include/kaffe

%changelog
* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not build for s390,s390x

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- don't include CVS files in docs

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix build with current glibc

* Tue Aug  8 2000 Bill Nottingham <notting@redhat.com>
- fix alpha build

* Tue Aug  8 2000 Paul Fisher <paul@transvirtual.com>
- disable gcj support, since it breaks with gcc 2.96

* Mon Aug  7 2000 Paul Fisher <paul@transvirtual.com>
- update to kaffe 1.0.6
- remove alpha patch
- remove hostheader patch
- add WHATSNEW as %doc 
- remove configure.in in %prep to make go with %configure in pinstripe

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- rebuild against new glibc, new compiler, other fun stuff
- don't build on ia64.

* Fri Apr 28 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new gmp version 3.0.1

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- add bugfix for String.getBytes() (#9873)
- fix compilation on sparc with 2.3.x kernel headers

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- add a bugfix patch (#9606)

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix the description

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- 1.0.5. Lets see what it does.

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- build for alpha (it seems to work...)
- fix paths so it works

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- according to the kaffe people, b4 is a "massive bugfix release"

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Tue Dec 15 1998 Bill Nottingham <notting@redhat.com>
- add an Obsoletes: for kaffe-bissawt

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- update to 1.0b3
- include alpha patch, but it's still broke

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- added sparc to the list of supported architectures
- update to 1.0b2

* Tue Sep 22 1998 Bill Nottingham <notting@redhat.com>
- don't rename libraries; install them in /usr/lib/kaffe
- remove sparc arch (doesn't work)

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.0.b1.
- add sparc arch (alpha has problems kaffe/kaffeevm/support.c:{343,518}

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- finally their ftp site is up again: updated to 0.10.0
- too bad the Biss-AWT doesn't seem to be maintained anymore... Removed the
  bissawt package
- unfortunately alpha and sparc assembler code that reference registers
  like eax, ebx, etc. makes this package ExclusiveArch: i386

* Tue Dec 09 1997 Cristian Gafton <gafton@redhat.com>
- added kaffe to the file list
- added BuildRoot; cleaned the spec file

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- removed pieces with incompatible licenses

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to 0.9.2

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 24 1997 Erik Troan <ewt@redhat.com>
- added libkaffe_vm.so symlink.

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- added manual provide of libkaffe_vm.so (RPM seems a bit broken).
